Page MenuHomePhabricator

Refactor the toolforge::k8s::kubeadm* modules
Closed, ResolvedPublic

Description

In order to reuse the Toolforge Kubeadm deployment mechanism for PAWS, we should surface the parts of the toolforge::k8s puppet module that aren't specifically for Toolforge, rather can be used in other Cloud-VPS projects as a ::kubeadm module in puppet.

Event Timeline

Bstorm triaged this task as Medium priority.Apr 28 2020, 4:31 PM
Bstorm created this task.

Change 594145 had a related patch set uploaded (by Arturo Borrero Gonzalez; owner: Arturo Borrero Gonzalez):
[operations/puppet@production] toolforge: factorize kubeadm repo config to a different module

https://gerrit.wikimedia.org/r/594145

Change 594145 merged by Arturo Borrero Gonzalez:
[operations/puppet@production] toolforge: kubeadm: use apt::package_from_repository

https://gerrit.wikimedia.org/r/594145

Change 594471 had a related patch set uploaded (by Arturo Borrero Gonzalez; owner: Arturo Borrero Gonzalez):
[operations/puppet@production] kubeadm: refactor toolforge code for reuse by PAWS

https://gerrit.wikimedia.org/r/594471

Mentioned in SAL (#wikimedia-cloud) [2020-05-06T09:58:57Z] <arturo> livehacking toolsbeta-puppetmaster-03 with https://gerrit.wikimedia.org/r/c/operations/puppet/+/594471 (T251297)

Change 594471 merged by Arturo Borrero Gonzalez:
[operations/puppet@production] kubeadm: refactor toolforge code for reuse by PAWS

https://gerrit.wikimedia.org/r/594471

Change 594925 had a related patch set uploaded (by Arturo Borrero Gonzalez; owner: Arturo Borrero Gonzalez):
[operations/puppet@production] kubeadm: remove package_from_component define

https://gerrit.wikimedia.org/r/594925

Change 594925 abandoned by Arturo Borrero Gonzalez:
kubeadm: remove package_from_component define

Reason:
merging https://gerrit.wikimedia.org/r/c/operations/puppet/ /594945 instead

https://gerrit.wikimedia.org/r/594925

aborrero closed this task as Resolved.May 7 2020, 5:31 PM

This is done!

When creating profiles for PAWS, we should declare the corresponding profile::wmcs::kubeadm::* profiles like toolforge does.

Bstorm awarded a token.May 7 2020, 5:45 PM

Change 595033 had a related patch set uploaded (by Bstorm; owner: Bstorm):
[operations/puppet@production] toolforge: fix docker imagebuilder for the new puppet structure

https://gerrit.wikimedia.org/r/595033

Change 595033 merged by Bstorm:
[operations/puppet@production] toolforge: fix docker imagebuilder for the new puppet structure

https://gerrit.wikimedia.org/r/595033

Change 595043 had a related patch set uploaded (by Bstorm; owner: Bstorm):
[operations/puppet@production] toolforge: another fixup for the kubeadm refactor

https://gerrit.wikimedia.org/r/595043

Change 595043 merged by Bstorm:
[operations/puppet@production] toolforge: another fixup for the kubeadm refactor

https://gerrit.wikimedia.org/r/595043

Change 597899 had a related patch set uploaded (by Bstorm; owner: Bstorm):
[operations/puppet@production] kubeadm and toolforge: rearrange some things to get it working

https://gerrit.wikimedia.org/r/597899

Change 597899 merged by Bstorm:
[operations/puppet@production] kubeadm and toolforge: rearrange some things to get it working

https://gerrit.wikimedia.org/r/597899